KIE.AI
old-model
  • All Model
  • old-model
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
Support
old-model
  • All Model
  • old-model
old-model
  • All Model
  • old-model
Suno API
4o Image APIVeo3.1 APIRunway APIFlux Kontext API
Suno API
4o Image APIVeo3.1 APIRunway APIFlux Kontext API
  1. Music Generation
  • Suno API Quickstart
  • Music Generation
    • Music Cover Generation Callbacks
    • Music Generation Callbacks
    • Music Extension Callbacks
    • Audio Upload and Cover Callbacks
    • Audio Upload and Extension Callbacks
    • Add Instrumental Callbacks
    • Add Vocals Callbacks
    • Replace Music Section Callbacks
    • Generate Music
      POST
    • Extend Music
      POST
    • Upload And Cover Audio
      POST
    • Upload And Extend Audio
      POST
    • Add Instrumental to Music
      POST
    • Add Vocals to Music
      POST
    • Get Music Task Details
      GET
    • Get Timestamped Lyrics
      POST
    • Boost Music Style
      POST
    • Generate Music Cover
      POST
    • Get Cover Generation Details
      GET
    • Replace Music Section
      POST
    • Generate Persona
      POST
    • Generate Mashup Music
      POST
    • Recovery Audio
      POST
  • Lyrics Generation
    • Lyrics Generation Callbacks
    • Generate Lyrics
      POST
    • Get Lyrics Task Details
      GET
  • WAV Conversion
    • Convert to WAV Callbacks
    • Convert to WAV Format
    • Get WAV Conversion Details
  • Vocal Removal
    • Audio Separation Callbacks
    • MIDI Generation Callbacks
    • Vocal & Instrument Stem Separation
    • Get Vocal Separation Details
    • Generate MIDI from Audio
    • Get MIDI Generation Details
  • Music Video Generation
    • Music Video Generation Callbacks
    • Create Music Video
    • Get Music Video Details
  • Sounds Generation
    • Generate sounds
  • voice
    • Suno Voice Generation Callback
    • Suno Voice Validation Phrase Callback
    • Suno Voice Generate Verification Phrase API
    • Suno Voice Get Verification Phrase API
    • Suno Voice Create Custom Voice API
    • Suno Voice Get Custom Voice Records
    • Suno Voice Regenerate Verification Phrase
    • Suno Voice Check Availability API
  1. Music Generation

Generate Persona

POST
/api/v1/generate/generate-persona
Create a personalized music Persona based on generated music, giving the music a unique identity and characteristics.

Usage Guide#

Use this endpoint to create Personas (music characters) for generated music:
Requires the taskId from music generation related endpoints (generate, extend) and audio ID
Customize the Persona name and description to give music unique personality
Generated Personas can be used for subsequent music creation and style transfer

Parameter Details#

taskId (Required): Can be obtained from the following endpoints:
Generate Music (/api/v1/generate)
Extend Music (/api/v1/generate/extend)
audioId (Required): Specifies the audio ID to create Persona for
name (Required): Assigns an easily recognizable name to the Persona
description (Required): Describes the Persona's musical characteristics, style, and personality

Developer Notes#

Important Requirements
Ensure the music generation task is fully completed before calling this endpoint. If the music is still generating, this endpoint will return a failure.
Model Requirement: Persona generation only supports taskId from music generated with models above v3.5 (v3.5 itself is not supported).
Each audio ID can only generate a Persona once.
It is recommended to provide detailed descriptions for Personas to better capture musical characteristics.
The returned personaId can be used in subsequent music generation requests to create music with similar style characteristics.
You can apply the personaId to the following endpoints:
Generate Music
Extend Music

Parameter Example#

{
  "taskId": "5c79****be8e",
  "audioId": "e231****-****-****-****-****8cadc7dc",
  "name": "Electronic Pop Singer",
  "description": "A modern electronic music style pop singer, skilled in dynamic rhythms and synthesizer tones"
}
NOTE
Ensure that the music generation task corresponding to the taskId is complete and the audioId is within the valid range.
TIP
Providing detailed and specific descriptions for Personas helps the system more accurately capture musical style characteristics.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Request successful
Bodyapplication/json

🔴500Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.kie.ai/api/v1/generate/generate-persona' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
  "taskId": "5c79****be8e",
  "audioId": "e231****-****-****-****-****8cadc7dc",
  "name": "Electronic Pop Singer",
  "description": "A modern electronic music style pop singer, skilled in dynamic rhythms and synthesizer tones",
  "vocalStart": 0,
  "vocalEnd": 30,
  "style": "Electronic Pop"
}'
Response Response Example
200 - Example 1
{
    "code": 200,
    "msg": "success",
    "data": {
        "personaId": "a1b2****c3d4",
        "name": "Electronic Pop Singer",
        "description": "A modern electronic music style pop singer, skilled in dynamic rhythms and synthesizer tones"
    }
}
Previous
Replace Music Section
Next
Generate Mashup Music
Built with